/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-11-30 15:17:49.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.common;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * 系统配置信息
 *
 * @author: QMTH
 * @since: 2018/11/30
 */
@Component
public class SysProperty implements Serializable {

    private static final long serialVersionUID = 1L;

    public static String UPLOAD_DIR = "/ecs-print/prod/";

    /**
     * 题库访问地址前缀
     */
    @Value("${$question.url.prefix}")
    private String questionUrlPrefix;

    public String getQuestionUrlPrefix() {
        return questionUrlPrefix;
    }

    public void setQuestionUrlPrefix(String questionUrlPrefix) {
        this.questionUrlPrefix = questionUrlPrefix;
    }

}
